]> git.decadent.org.uk Git - dak.git/blobdiff - config/debian/cron.daily
clean the debbugs version track archive
[dak.git] / config / debian / cron.daily
index aca4cfd1ac6eb7ed93d71c9a33746ee9cc13d08f..1ededd036545b2e7b7e89bfeb2f93a677976ec06 100755 (executable)
@@ -1,16 +1,33 @@
 #!/bin/sh
 #
-# Run at the beginning of the month via cron, out of dak's crontab.
+# Run daily via cron, out of dak's crontab.
 
 set -e
 set -u
 export SCRIPTVARS=/srv/ftp-master.debian.org/dak/config/debian/vars
 . $SCRIPTVARS
 
+# common functions are "outsourced"
+. "${configdir}/common"
+
 ################################################################################
 
+TMPFILE=$( mktemp -p ${TMPDIR} )
+
+function cleanup {
+    ERRVAL=$?
+    rm -f ${TMPFILE}
+    exit ${ERRVAL}
+}
+trap cleanup SIGHUP SIGINT SIGPIPE SIGTERM EXIT ERR
 
 # get the latest list of wnpp bugs and their source packages
-wget -q -O/srv/ftp-master.debian.org/scripts/masterfiles/wnpp_rm  http://qa.debian.org/data/bts/wnpp_rm
+wget -q -O${TMPFILE} http://qa.debian.org/data/bts/wnpp_rm
+chmod go+r ${TMPFILE}
+mv ${TMPFILE} /srv/ftp-master.debian.org/scripts/masterfiles/wnpp_rm
+
+reports
+
+clean_debbugs
 
 ################################################################################